Subject: Question about Makefile change..

From: "Mike A. Harris" <[email-masked]>
Date: Mon, 5 Feb 2001 03:47:04 -0500 (EST)

Why was imap/src/osdep/unix/Makefile in PINE 4.32 changed from:

# Normally no need to change any of these

ARCHIVE=c-client.a
BINARIES=mail.o misc.o newsrc.o smanager.o osdep.o utf8.o siglocal.o \
 dummy.o pseudo.o netmsg.o flstring.o fdstring.o \
 rfc822.o nntp.o smtp.o imap4r1.o pop3.o \
 unix.o mbox.o mbx.o mmdf.o tenex.o mtx.o news.o phile.o mh.o mx.o
CFLAGS=$(BASECFLAGS) $(EXTRACFLAGS)

to the following in PINE 4.33?

# Normally no need to change any of these

ARCHIVE=c-client.a
BINARIES=mail.o misc.o newsrc.o smanager.o osdep.o utf8.o siglocal.o \
 dummy.o pseudo.o netmsg.o flstring.o fdstring.o \
 rfc822.o nntp.o smtp.o imap4r1.o pop3.o \
 unix.o mbox.o mbx.o mmdf.o tenex.o mtx.o news.o phile.o mh.o mx.o
CFLAGS=-g

IOW, why the "-g" instead of "$(BASECFLAGS) $(EXTRACFLAGS)"?

Looks like just some debugging cruft that got left in.
Recommendation:  don't edit makefiles with local changes while
developing.  ;o)

I only found it because it causes a patch to fail, so I was
wondering why the change is there.

No big deal though, just wanted to point it out to you guys, so
it can get fixed next time around.  I shall work around it in
RPM.

Take care,
TTYL

----------------------------------------------------------------------
    Mike A. Harris  -  Linux advocate  -  Free Software advocate
          This message is copyright 2001, all rights reserved.
  Views expressed are my own, not necessarily shared by my employer.
----------------------------------------------------------------------
The day Microsoft makes something that doesn't suck,
is probably the day Microsoft starts making vacuum cleaners.
  -- Ernst Jan Plugge

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------